Bug 1214768 - history userinstalled lists should print NEVRAs instead of names
history userinstalled lists should print NEVRAs instead of names
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Linux
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-23 09:34 EDT by Igor Gnatenko
Modified: 2016-08-27 06:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-1.1.10-1.fc24 dnf-1.1.10-1.fc23 dnf-1.1.10-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-19 15:51:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-04-23 09:34:05 EDT
Fisrt issue - kernel packages in userinstalled:
$ sudo dnf history userinstalled | grep -E "^kernel$" | wc -l
3

Second issue - no arch for packages and if we will try to do `dnf history userinstalled | xargs -0 dnf erase` we will remove glibc(x86-64), but I installed glibc(i686).
Comment 1 Radek Holy 2015-04-23 09:59:54 EDT
(In reply to Igor Gnatenko from comment #0)
> Fisrt issue - kernel packages in userinstalled:
> $ sudo dnf history userinstalled | grep -E "^kernel$" | wc -l
> 3

Can you please elaborate on why do you think that "kernel" shouldn't be listed there? Are you sure that all of your kernels were installed as a dependency?

> Second issue - no arch for packages and if we will try to do `dnf history
> userinstalled | xargs -0 dnf erase` we will remove glibc(x86-64), but I
> installed glibc(i686).

This is expected. As you can see in man pages, the output is intended to be used in Kickstart files. Since the documentation of Kickstart files [1] does not mention that the packages can be specified in the form of "name.arch", this change can break the use case. Would you like to have a switch that appends the architectures?


Any reason for the "urgent" priority and "severity"?
Comment 2 Igor Gnatenko 2015-04-23 10:14:11 EDT
(In reply to Radek Holy from comment #1)
> (In reply to Igor Gnatenko from comment #0)
> > Fisrt issue - kernel packages in userinstalled:
> > $ sudo dnf history userinstalled | grep -E "^kernel$" | wc -l
> > 3
> 
> Can you please elaborate on why do you think that "kernel" shouldn't be
> listed there? Are you sure that all of your kernels were installed as a
> dependency?
otherwise it should have NEVRA, not just N.
> 
> > Second issue - no arch for packages and if we will try to do `dnf history
> > userinstalled | xargs -0 dnf erase` we will remove glibc(x86-64), but I
> > installed glibc(i686).
> 
> This is expected. As you can see in man pages, the output is intended to be
> used in Kickstart files. Since the documentation of Kickstart files [1] does
> not mention that the packages can be specified in the form of "name.arch",
> this change can break the use case. Would you like to have a switch that
> appends the architectures?
Yep, I want have a switch.
> 
> 
> Any reason for the "urgent" priority and "severity"?
oh, I wanted to set normal, sorry ;)
Comment 3 Jan Kurik 2015-07-15 10:14:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Jaroslav Mracek 2016-05-20 10:50:44 EDT
Created patch - https://github.com/rpm-software-management/dnf/pull/495
Comment 5 Fedora Admin XMLRPC Client 2016-07-08 05:33:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Igor Gnatenko 2016-07-21 05:44:07 EDT
PR has been merged and fix will be available as part of DNF 2.0.
Comment 7 Fedora Update System 2016-08-18 11:19:11 EDT
dnf-1.1.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda
Comment 8 Fedora Update System 2016-08-18 11:20:25 EDT
dnf-1.1.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e
Comment 9 Fedora Update System 2016-08-18 11:21:28 EDT
dnf-1.1.10-1.fc24 dnf-plugins-core-0.1.21-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3
Comment 10 Fedora Update System 2016-08-18 12:52:40 EDT
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e
Comment 11 Fedora Update System 2016-08-18 20:22:28 EDT
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda
Comment 12 Fedora Update System 2016-08-18 20:57:40 EDT
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3
Comment 13 Mike Goodwin 2016-08-18 22:47:06 EDT
Where was the decision to back away from "This is expected. As you can see in man pages, the output is intended to be used in Kickstart files. Since the documentation of Kickstart files [1] does not mention that the packages can be specified in the form of "name.arch", this change can break the use case. Would you like to have a switch that appends the architectures?" 

made? 

Seems really, really silly to have NEVRA output from userinstalled when it's meant to produce portable output that you can use to get a known set of packages leaves installed...

Now I have to pipe it though some awk script or something...
Comment 14 Fedora Update System 2016-08-19 15:50:33 EDT
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-08-23 11:19:40 EDT
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-08-27 06:20:40 EDT
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.